/**
 * Property to determine what a surface is
 * The booleans are mutually exclusive, but nothing
 * should break in case multiple are set to true
 * 
 * 2013 by FreetimeCoder
 * www.freetimestudio.net
 */
class AdvKitPhysicalMaterialProperty extends PhysicalMaterialPropertyBase;

/**can climb on this surface*/
var() bool  bIsClimbableWall;

/**can use this to wall jump*/
var() bool  bIsWallJumpingPossible;


/**can slide on it*/
var() bool  bIsSlide;

/**
 * how much control the player has on 
 * the slide (on a scale from Zero to One)
 */
var() float fSlideControlStrength;

DefaultProperties
{
	fSlideControlStrength = 1
}
